XUND
API ReferenceContent Library

Get a list of all illnesses

GET/v1/contentLibrary/illnesses

Use this endpoint to get a list of all illnesses from the XUND database.

Authorization

BearerToken
AuthorizationBearer <token>

Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.

In: header

Query Parameters

searchTerm?string

URL encoded version of the user-entered search term. Results will match this term. In some cases filtering happens by medical, and not alphabetical logic, therefore the names or descriptions of results might not match the search term exactly.

top?integer

Keep only the first top matching elements. Use for paging support.

skip?integer

Drop the first skip matching elements. Use for paging support.

isFrequent?boolean

If provided, only illnesses with matching frequency will be returned.

Header Parameters

language*string

The expected language of the response.

Response Body

application/json

curl -X GET "https://example.com/v1/contentLibrary/illnesses?top=3&isFrequent=true" \  -H "authorization: Bearer <token>" \  -H "language: en"
{  "count": 5,  "items": [    {      "id": "d97c025d-0897-4b31-8d69-6047e5032ba2",      "isFrequent": true,      "name": "Common cold",      "alternativeNames": [        "Cold"      ],      "description": "A common cold is not to be confused with a real flu (influenza). Both diseases are viral infections, especially of the respiratory tract. However, a cold is usually not as pronounced as influenza. It is caused by a large number of different viruses. In most cases the symptoms are gradual (in contrast to influenza) and manifest themselves in the form of coughing, colds, listlessness, fatigue and joint pain. Since the immune system is weakened by the viral infection, a bacterial infection may also occur which is called a superinfection.\n\nCaution: With regard to the current COVID-19 situation, the possibility of a COVID-19 infection should always be considered in case of an infectious or respiratory disease. ",      "recommendation": {        "text": "Can be treated at home",        "textColor": "#0AB459"      },      "category": {        "id": "c9cf1ff1-20d3-4f02-be48-9eb89aa0e46c",        "name": "Infections",        "iconUrl": "https://cms.beta.xund.solutions/image/infection.svg"      },      "isTelemedicalConsultationEnabled": false,      "code": {        "coding": [          {            "code": "J00"          }        ]      }    }  ]}

Last updated on